> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getjusto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Ingredients



## OpenAPI

````yaml get /tabs/{websiteId}/ingredients
openapi: 3.1.0
info:
  title: Justo API
  version: 3.0.0
servers:
  - url: https://api.service.getjusto.com/v3
    description: Production server
security: []
paths:
  /tabs/{websiteId}/ingredients:
    get:
      summary: Ingredients
      parameters:
        - in: path
          name: websiteId
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The OpenAPI spec
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    type: object
                    properties:
                      items:
                        type: array
                        items:
                          $ref: '#/components/schemas/tabsIngredient'
                        description: Items de la lista.
                      hasNextPage:
                        type: boolean
                        description: Indica si hay una página siguiente.
                      hasPreviousPage:
                        type: boolean
                        description: Indica si hay una página anterior.
                      totalPages:
                        type: number
                        description: Total de páginas.
                      totalCount:
                        type: number
                        description: Total de items.
        '400':
          description: Errors
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: 'false'
                  error:
                    type: object
                    properties:
                      error:
                        type: string
                        example: error
                      message:
                        type: string
                        example: The request has an error
components:
  schemas:
    tabsIngredient:
      type: object
      properties:
        _id:
          type: string
          example: tab-4c48bf33-1411-4c3f-adac-db39b4631cb8
          description: El ID del ingrediente.
        name:
          type: string
          example: Sal
          description: El nombre del ingrediente.
        unitOfMeasurement:
          type: string
          example: gr
          description: Unidad de medida del ingrediente
        externalId:
          type: string
          example: ing_external_id
          description: Identificador externo del ingrediente
        stockRoomIds:
          type: array
          items:
            type: string
          example: t-sri-asdasd
          description: Identificador de la bodega
        conversions:
          type: array
          items:
            type: object
            description: Conversiones
            properties:
              name:
                type: string
              factor:
                type: number

````